Subject: Re: linux-next: build failure after merge of the akpm-current tree

From: Dmitry Torokhov <[email-masked]>
Date: Mon, 21 Sep 2015 09:24:11 -0700

On Mon, Sep 21, 2015 at 02:18:10PM +1000, Stephen Rothwell wrote:
> Hi Andrew,
> 
> After merging the akpm-current tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> drivers/input/joystick/walkera0701.c:153:4: error: implicit declaration of function 'abs64' [-Werror=implicit-function-declaration]
>     if (abs64(pulse_time - SYNC_PULSE) < RESERVE) /* new frame sync */
>     ^
> 
> Caused by commit
> 
>   ea91f9c72512 ("Remove abs64()")
> 
> interacting with commit
> 
>   46b018fa9500 ("Input: walkera0701 - fix abs() calculations on 64 bit values")
> 
> from the input-current tree.
> 
> I just reverted 46b018fa9500 as ti will no longer be needed.

Hmm, I plan on sending it to Linus in 4.3 merge window. I saw more
patches switching to abs64 flying by so I guess removal will have to add
walkera to the list needing adjusting.

Thanks.

-- 
Dmitry